.services-we-provide {
    position: relative;
}

.service-background {
    background-color: var(--color-white);
    padding: 80px 50px;
    border-radius: 24px;
    position: relative;
}

.service-background .services-we-provide-title {
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    margin: 0;
    text-align: center;
}

.service-background .services-we-provide-description {
    font-size: var(--font-size-20);
    font-weight: 300;
    color: var(--color-black);
    text-align: center;
    margin-top: 24px;
}

.service-background .services-we-provide-grid {
    margin-top: 50px;
    display: grid;
    gap: 24px;
}

.service-background .services-we-provide-grid.column-2 {
    grid-template-columns: repeat(2, 1fr);
}

.service-background .services-we-provide-grid.column-3 {
    grid-template-columns: repeat(3, 1fr);
}

.service-background .services-we-provide-grid a {
    position: relative;
    padding: 32px 32px 70px 32px;
    border-radius: 16px;
    border: 1px solid var(--color-border);
    color: var(--color-black);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 32px;
    text-decoration: none;
    height: 100%;
}

.service-background .services-we-provide-grid a .item-icon {
    max-width: 100%;
    height: auto;
    display: block;
}

.service-background .services-we-provide-grid a .item-content {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.service-background .services-we-provide-grid a .item-title {
    font-size: var(--font-size-30);
    font-weight: 600;
    margin: 0;
    line-height: 1.4;
}

.service-background .services-we-provide-grid a .item-content .item-description p {
    font-size: var(--font-size-16);
    font-weight: 400;
    margin: 0;
}

.service-background .services-we-provide-grid a i {
    font-size: var(--font-size-14);
    align-self: flex-end;
    position: absolute;
    bottom: 32px;
    right: 32px;
}

/* card layout */

.card-layout .services-we-provide-title {
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    margin: 0;
    text-align: center;
}

.card-layout .services-we-provide-description {
    font-size: var(--font-size-20);
    font-weight: 400;
    color: var(--color-black);
    text-align: center;
    margin-top: 24px;
}

.card-layout .services-we-provide-grid {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    row-gap: 50px;
}

.card-layout .services-we-provide-grid a {
    background-color: var(--color-white);
    position: relative;
    padding: 24px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    text-decoration: none;
    height: 100%;
    border: 1px solid var(--color-white);
    transition: all 0.3s ease;
}
.card-layout .services-we-provide-grid a:hover {
    border: 1px solid var(--color-primary);
}

.card-layout .services-we-provide-grid a:hover .item-icon {
    background-color: var(--color-primary);
    transition: all 0.3s ease;
}

.card-layout .services-we-provide-grid a:hover .item-icon  img {
    filter: brightness(0) invert(1);
    transition: all 0.3s ease;
}

.card-layout .services-we-provide-grid a .item-icon {
    width: 100px;
    height: 100px;
    border-radius: 8px;
    background-color: var(--color-light-200);
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: flex-end;
}

.card-layout .services-we-provide-grid a .item-icon  img {
    filter: brightness(0) invert(0);
}

.card-layout .services-we-provide-grid a .item-content {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-bottom: 85px;
}

.card-layout .services-we-provide-grid a .item-title {
    width: 200px;
    max-width: 100%;
    font-size: var(--font-size-24);
    color: var(--color-black);
    font-weight: 500;
    margin: 0;
    line-height: 1.4;
}

.card-layout .services-we-provide-grid a .item-content .item-description p {
    font-size: var(--font-size-16);
    color: var(--color-dark-100);
    font-weight: 400;
    margin: 0;
}

.card-layout .services-we-provide-grid a .item-content .item-description ul {
    margin: 0;
    padding-left: 20px;
    list-style: disc;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.card-layout .services-we-provide-grid a .item-content .item-description ul li {
    font-size: var(--font-size-16);
    color: var(--color-dark-100);
    font-weight: 400;
    margin: 0;
}

.card-layout .services-we-provide-grid a i {
    font-size: var(--font-size-14);
    align-self: flex-end;
    position: absolute;
    bottom: 32px;
    right: 32px;
}

@media (max-width: 767px) {
    
    .service-background {
        padding: 40px 14px;
        border-radius: 14px;
    }

    .service-background .services-we-provide-title {
        font-size: var(--font-size-24);
    }

    .service-background .services-we-provide-description {
        font-size: var(--font-size-16);
    }

    .service-background .services-we-provide-grid {
        margin-top: 30px;
        display: grid;
        gap: 14px;
    }

    .service-background .services-we-provide-grid.column-2 {
        grid-template-columns: repeat(1, 1fr);
    }

    .service-background .services-we-provide-grid.column-3 {
        grid-template-columns: repeat(1, 1fr);
    }

    .service-background .services-we-provide-grid a {
        padding: 22px 22px 50px 22px;
        border-radius: 8px;
        gap: 22px;
    }

    .service-background .services-we-provide-grid a .item-icon {
        width: 50px;
        height: 50px;
    }

    .service-background .services-we-provide-grid a .item-content {
        display: flex;
        flex-direction: column;
        gap: 14px;
    }

    .service-background .services-we-provide-grid a .item-title {
        font-size: var(--font-size-24);
    }

    .service-background .services-we-provide-grid a i {
        bottom: 22px;
        right: 22px;
    }


    /* card layout */

    .card-layout .services-we-provide-title {
        font-size: var(--font-size-24);
    }

    .card-layout .services-we-provide-description {
        font-size: var(--font-size-16);
    }

    .card-layout .services-we-provide-grid {
        margin-top: 30px;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 22px;
    }

    .card-layout .services-we-provide-grid a {
        padding: 22px;
        border-radius: 8px;
        gap: 22px;
    }

    .card-layout .services-we-provide-grid a .item-icon {
        width: 80px;
        height: 80px;
    }

    .card-layout .services-we-provide-grid a .item-content {
        gap: 14px;
        margin-bottom: 30px;
    }

    .card-layout .services-we-provide-grid a .item-title {
        max-width: 100%;
        font-size: var(--font-size-20);
    }
    .card-layout .services-we-provide-grid a .item-content .item-description ul li {
        font-size: var(--font-size-14);
    }
    .card-layout .services-we-provide-grid a .item-content .item-description p {
        font-size: var(--font-size-14);
    }

    .card-layout .services-we-provide-grid a i {
        font-size: var(--font-size-14);
        bottom: 22px;
        right: 22px;
    }
    .footer-brand {
        font-size: var(--font-size-16);
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    
    .service-background {
        padding: 40px 14px;
        border-radius: 14px;
    }

    .service-background .services-we-provide-title {
        font-size: var(--font-size-24);
    }

    .service-background .services-we-provide-description {
        font-size: var(--font-size-16);
    }

    .service-background .services-we-provide-grid {
        margin-top: 30px;
        display: grid;
        gap: 14px;
    }

    .service-background .services-we-provide-grid.column-2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .service-background .services-we-provide-grid.column-3 {
        grid-template-columns: repeat(2, 1fr);
    }

    .service-background .services-we-provide-grid a {
        padding: 22px 22px 50px 22px;
        border-radius: 8px;
        gap: 22px;
    }

    .service-background .services-we-provide-grid a .item-icon {
        width: 50px;
        height: 50px;
    }

    .service-background .services-we-provide-grid a .item-content {
        display: flex;
        flex-direction: column;
        gap: 14px;
    }

    .service-background .services-we-provide-grid a .item-title {
        font-size: var(--font-size-24);
    }

    .service-background .services-we-provide-grid a i {
        bottom: 22px;
        right: 22px;
    }


    /* card layout */

    .card-layout .services-we-provide-title {
        font-size: var(--font-size-24);
    }

    .card-layout .services-we-provide-description {
        font-size: var(--font-size-16);
    }

    .card-layout .services-we-provide-grid {
        margin-top: 30px;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 22px;
    }

    .card-layout .services-we-provide-grid a {
        padding: 22px 22px 40px 22px;
        border-radius: 8px;
        gap: 22px;
    }

    .card-layout .services-we-provide-grid a .item-icon {
        width: 80px;
        height: 80px;
    }

    .card-layout .services-we-provide-grid a .item-content {
        gap: 14px;
        margin-bottom: 30px;
    }

    .card-layout .services-we-provide-grid a .item-title {
        max-width: 100%;
        font-size: var(--font-size-24);
    }

    .card-layout .services-we-provide-grid a .item-content .item-description p {
        font-size: var(--font-size-16);
    }

    .card-layout .services-we-provide-grid a i {
        font-size: var(--font-size-14);
        bottom: 22px;
        right: 22px;
    }
}

@media (min-width: 1024px) and (max-width: 1279px) {
    
    .service-background {
        padding: 40px 14px;
        border-radius: 14px;
    }

    .service-background .services-we-provide-title {
        font-size: var(--font-size-24);
    }

    .service-background .services-we-provide-description {
        font-size: var(--font-size-16);
    }

    .service-background .services-we-provide-grid {
        margin-top: 30px;
        display: grid;
        gap: 14px;
    }

    .service-background .services-we-provide-grid.column-2 {
        grid-template-columns: repeat(3, 1fr);
    }

    .service-background .services-we-provide-grid.column-3 {
        grid-template-columns: repeat(3, 1fr);
    }

    .service-background .services-we-provide-grid a {
        padding: 22px 22px 50px 22px;
        border-radius: 8px;
        gap: 22px;
    }

    .service-background .services-we-provide-grid a .item-icon {
        width: 50px;
        height: 50px;
    }

    .service-background .services-we-provide-grid a .item-content {
        display: flex;
        flex-direction: column;
        gap: 14px;
    }

    .service-background .services-we-provide-grid a .item-title {
        font-size: var(--font-size-24);
    }

    .service-background .services-we-provide-grid a i {
        bottom: 22px;
        right: 22px;
    }


    /* card layout */

    .card-layout .services-we-provide-title {
        font-size: var(--font-size-24);
    }

    .card-layout .services-we-provide-description {
        font-size: var(--font-size-16);
    }

    .card-layout .services-we-provide-grid {
        margin-top: 30px;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 22px;
    }

    .card-layout .services-we-provide-grid a {
        padding: 22px 22px 40px 22px;
        border-radius: 8px;
        gap: 22px;
    }

    .card-layout .services-we-provide-grid a .item-icon {
        width: 80px;
        height: 80px;
    }

    .card-layout .services-we-provide-grid a .item-content {
        gap: 14px;
        margin-bottom: 30px;
    }

    .card-layout .services-we-provide-grid a .item-title {
        max-width: 100%;
        font-size: var(--font-size-20);
    }

    .card-layout .services-we-provide-grid a .item-content .item-description p {
        font-size: var(--font-size-14);
    }

    .card-layout .services-we-provide-grid a i {
        font-size: var(--font-size-14);
        bottom: 22px;
        right: 22px;
    }
    .card-layout .services-we-provide-grid a .item-content .item-description ul li {
        font-size: var(--font-size-14);
    }
}

@media (min-width: 1280px) and (max-width: 1365px) {
    .card-layout .services-we-provide-grid a .item-icon {
        width: 80px;
        height: 80px;
    }
    .card-layout .services-we-provide-grid a .item-content {
        gap: 14px;
        margin-bottom: 30px;
    }
    .card-layout .services-we-provide-grid a .item-title {
        font-size: var(--font-size-20);
    }
    .card-layout .services-we-provide-grid a .item-content .item-description p {
        font-size: var(--font-size-14);
    }
}
